Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| EAC Components 3.2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.endeca.soleng.eac.toolkit.component
Class AgidxComponent

    java.lang.Object
      com.endeca.soleng.eac.toolkit.base.EacElement
          com.endeca.soleng.eac.toolkit.base.Provisionable
              com.endeca.soleng.eac.toolkit.component.Component
                  com.endeca.soleng.eac.toolkit.component.BatchComponent
                      com.endeca.soleng.eac.toolkit.component.AgidxComponent

    public class AgidxComponent

extends com.endeca.soleng.eac.toolkit.component.BatchComponent

Field Summary

Fields inherited from class com.endeca.soleng.eac.toolkit.base.EacElement
`appName, dataPrefix, eacHost, eacPort, elementId, lockManager, logDir, sslEnabled, workingDir`

Constructor Summary
`AgidxComponent()`

Method Summary
`void` | `archiveIndex()`
`com.endeca.eac.client.ComponentType` | `buildEacStub()`
`void` | `cleanDirs()`
`com.endeca.soleng.eac.toolkit.utility.CopyUtility` | `createIncomingPreviousOutputCopyUtility()`
`java.lang.String` | `getAgidxGroup()`
`java.util.List<java.lang.String>` | `getArgs()`
`void` | `getIncomingPreviousOutput()` Retrieves incoming previous output for Agidx to process.
`java.lang.String` | `getIncomingPreviousOutputDir()`
`java.lang.String` | `getIncomingPreviousOutputHost()`
`java.util.List<java.lang.String>` | `getInputPrefixList()`
`int` | `getNumIndexBackups()`
`java.lang.String` | `getOutputDir()`
`java.lang.String` | `getPreviousOutputDir()`
`protected void` | `initializeEacStub(com.endeca.eac.client.AgidxComponentType stub)`
`void` | `setArgs(java.util.List<java.lang.String> args)`
`void` | `setInputPrefixList(java.util.List<java.lang.String> inputPrefixList)`
`void` | `setOutputDir(java.lang.String outputDir)`
`void` | `setPreviousOutputDir(java.lang.String previousOutputDir)`

Methods inherited from class com.endeca.soleng.eac.toolkit.component.BatchComponent
`run, runInParallel`

Methods inherited from class com.endeca.soleng.eac.toolkit.component.Component
`archiveLogDir, cleanDir, constructArchiveLogDir, constructCleanDir, getCustomDirectories, getDirProperties, getHost, getHostId, getLongPropertyValueOrDefault, getMaxMissedStatusChecksAllowed, getMaxWaitTimeSeconds, getMinWaitTimeSeconds, getNumLogBackups, getNumMissedStatusChecks, getProperties, getProperty, getSlowPollingIntervalMs, getStandardPollingIntervalMs, getStatus, incrementMissedStatusQueries, initializeEacStub, isActive, isDefined, isDefinitionChanged, isFailed, isHotUpdateDefinitionChange, isSkipTestingForFilesDuringCleanup, removeDefinition, setCustomDirectories, setDefinition, setDefinition, setHost, setHostId, setNumMissedStatusChecks, setProperties, start, stop, updateDefinition, updateEacDefinition, updateEacDefinition, waitForFinished`

Methods inherited from class com.endeca.soleng.eac.toolkit.base.Provisionable
`getAppDefinitionFromEac, getCachedAppDefinition, getProvisioningPort, invalidateCachedAppDefinition, setCachedAppDefinition`

Methods inherited from class com.endeca.soleng.eac.toolkit.base.EacElement
`getAppName, getDataPrefix, getEacHost, getEacPort, getElementId, getLockManager, getLogDir, getWorkingDir, isSslEnabled, setAppName, setDataPrefix, setEacHost, setEacPort, setElementId, setLockManager, setLogDir, setSslEnabled, setWorkingDir`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AgidxComponent

    public AgidxComponent()

Method Detail

### cleanDirs

    public void cleanDirs()
                   throws com.endeca.soleng.eac.toolkit.exception.AppConfigurationException,
                          com.endeca.soleng.eac.toolkit.exception.EacCommunicationException,
                          com.endeca.soleng.eac.toolkit.exception.EacComponentControlException,
                          java.lang.InterruptedException

  Throws:
    `com.endeca.soleng.eac.toolkit.exception.AppConfigurationException`
    `com.endeca.soleng.eac.toolkit.exception.EacCommunicationException`
    `com.endeca.soleng.eac.toolkit.exception.EacComponentControlException`
    `java.lang.InterruptedException`

### createIncomingPreviousOutputCopyUtility

    public com.endeca.soleng.eac.toolkit.utility.CopyUtility createIncomingPreviousOutputCopyUtility()
                                                                                              throws com.endeca.soleng.eac.toolkit.exception.AppConfigurationException,
                                                                                                     com.endeca.soleng.eac.toolkit.exception.EacCommunicationException,
                                                                                                     com.endeca.soleng.eac.toolkit.exception.EacComponentControlException,
                                                                                                     java.lang.InterruptedException

  Throws:
    `com.endeca.soleng.eac.toolkit.exception.AppConfigurationException`
    `com.endeca.soleng.eac.toolkit.exception.EacCommunicationException`
    `com.endeca.soleng.eac.toolkit.exception.EacComponentControlException`
    `java.lang.InterruptedException`

### getIncomingPreviousOutput

    public void getIncomingPreviousOutput()
                                   throws com.endeca.soleng.eac.toolkit.exception.AppConfigurationException,
                                          com.endeca.soleng.eac.toolkit.exception.EacCommunicationException,
                                          com.endeca.soleng.eac.toolkit.exception.EacComponentControlException,
                                          java.lang.InterruptedException

  Retrieves incoming previous output for Agidx to process. In this implementation, the data is assumed to be extracted data files found in the directory identified in the custom incomingPreviousOutputDir directory.

  Throws:
    `com.endeca.soleng.eac.toolkit.exception.AppConfigurationException`
    `com.endeca.soleng.eac.toolkit.exception.EacCommunicationException`
    `com.endeca.soleng.eac.toolkit.exception.EacComponentControlException`
    `java.lang.InterruptedException`

### archiveIndex

    public void archiveIndex()
                      throws com.endeca.soleng.eac.toolkit.exception.AppConfigurationException,
                             com.endeca.soleng.eac.toolkit.exception.EacCommunicationException,
                             com.endeca.soleng.eac.toolkit.exception.EacComponentControlException,
                             java.lang.InterruptedException

  Throws:
    `com.endeca.soleng.eac.toolkit.exception.AppConfigurationException`
    `com.endeca.soleng.eac.toolkit.exception.EacCommunicationException`
    `com.endeca.soleng.eac.toolkit.exception.EacComponentControlException`
    `java.lang.InterruptedException`

### buildEacStub

    public com.endeca.eac.client.ComponentType buildEacStub()

  Overrides:
    `buildEacStub` in class `com.endeca.soleng.eac.toolkit.component.Component`

### initializeEacStub

    protected void initializeEacStub(com.endeca.eac.client.AgidxComponentType stub)

### getNumIndexBackups

    public int getNumIndexBackups()

### getAgidxGroup

    public java.lang.String getAgidxGroup()

### getIncomingPreviousOutputHost

    public java.lang.String getIncomingPreviousOutputHost()

### getIncomingPreviousOutputDir

    public java.lang.String getIncomingPreviousOutputDir()

### getArgs

    public java.util.List<java.lang.String> getArgs()

### setArgs

    public void setArgs(java.util.List<java.lang.String> args)

### getInputPrefixList

    public java.util.List<java.lang.String> getInputPrefixList()

### setInputPrefixList

    public void setInputPrefixList(java.util.List<java.lang.String> inputPrefixList)

### getPreviousOutputDir

    public java.lang.String getPreviousOutputDir()

### setPreviousOutputDir

    public void setPreviousOutputDir(java.lang.String previousOutputDir)

### getOutputDir

    public java.lang.String getOutputDir()

### setOutputDir

    public void setOutputDir(java.lang.String outputDir)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| EAC Components 3.2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006, 2012, Oracle and/or its affiliates. All rights reserved.

    @VERSION
    PRODUCT: EAC Components (eacComponents)
    VERSION: 3.2.2
    BUILD:   NONEDEV
    ARCH_OS: n/a
    DATE:    2012-02-28T13:13:23-0500